﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MovieAPITutorial.Data;

#nullable disable

namespace MovieAPITutorial.Migrations
{
    [DbContext(typeof(MovieAPIContext))]
    partial class MovieAPIContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "8.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("MovieAPITutorial.Models.Model.Movies", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("Actors")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Details")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Genre")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Images")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<float>("Rating")
                        .HasColumnType("real");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("nvarchar(450)");

                    b.Property<int>("Year")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("Title")
                        .IsUnique();

                    b.ToTable("Movies");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Actors = "[\"Tim Robbins\",\"Morgan Freeman\"]",
                            Details = "",
                            Genre = "[\"Drama\"]",
                            Images = "[]",
                            Rating = 9.3f,
                            Title = "The Shawshank Redemption",
                            Year = 1994
                        },
                        new
                        {
                            Id = 2,
                            Actors = "[\"Marlon Brando\",\"Al Pacino\"]",
                            Details = "",
                            Genre = "[\"Crime\",\"Drama\"]",
                            Images = "[]",
                            Rating = 9.2f,
                            Title = "The Godfather",
                            Year = 1972
                        },
                        new
                        {
                            Id = 3,
                            Actors = "[\"Christian Bale\",\"Heath Ledger\"]",
                            Details = "",
                            Genre = "[\"Action\",\"Crime\",\"Drama\"]",
                            Images = "[]",
                            Rating = 9f,
                            Title = "The Dark Knight",
                            Year = 2008
                        },
                        new
                        {
                            Id = 4,
                            Actors = "[\"John Travolta\",\"Uma Thurman\"]",
                            Details = "",
                            Genre = "[\"Crime\",\"Drama\"]",
                            Images = "[]",
                            Rating = 8.9f,
                            Title = "Pulp Fiction",
                            Year = 1994
                        },
                        new
                        {
                            Id = 5,
                            Actors = "[\"Liam Neeson\",\"Ralph Fiennes\"]",
                            Details = "",
                            Genre = "[\"Biography\",\"Drama\",\"History\"]",
                            Images = "[]",
                            Rating = 8.9f,
                            Title = "Schindler's List",
                            Year = 1993
                        },
                        new
                        {
                            Id = 6,
                            Actors = "[\"Elijah Wood\",\"Viggo Mortensen\"]",
                            Details = "",
                            Genre = "[\"Adventure\",\"Drama\",\"Fantasy\"]",
                            Images = "[]",
                            Rating = 8.9f,
                            Title = "The Lord of the Rings: The Return of the King",
                            Year = 2003
                        },
                        new
                        {
                            Id = 7,
                            Actors = "[\"Tom Hanks\",\"Robin Wright\"]",
                            Details = "",
                            Genre = "[\"Drama\",\"Romance\"]",
                            Images = "[]",
                            Rating = 8.8f,
                            Title = "Forrest Gump",
                            Year = 1994
                        },
                        new
                        {
                            Id = 8,
                            Actors = "[\"Leonardo DiCaprio\",\"Joseph Gordon-Levitt\"]",
                            Details = "",
                            Genre = "[\"Action\",\"Adventure\",\"SciFi\"]",
                            Images = "[]",
                            Rating = 8.8f,
                            Title = "Inception",
                            Year = 2010
                        },
                        new
                        {
                            Id = 9,
                            Actors = "[\"Keanu Reeves\",\"Laurence Fishburne\"]",
                            Details = "",
                            Genre = "[\"Action\",\"SciFi\"]",
                            Images = "[]",
                            Rating = 8.7f,
                            Title = "The Matrix",
                            Year = 1999
                        },
                        new
                        {
                            Id = 10,
                            Actors = "[\"Jodie Foster\",\"Anthony Hopkins\"]",
                            Details = "",
                            Genre = "[\"Crime\",\"Drama\",\"Thriller\"]",
                            Images = "[]",
                            Rating = 8.6f,
                            Title = "The Silence of the Lambs",
                            Year = 1991
                        });
                });

            modelBuilder.Entity("MovieAPITutorial.Models.Model.Users", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FullName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PasswordHash")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UserName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Users");
                });
#pragma warning restore 612, 618
        }
    }
}
